var currentlyTrackedButton = null;
var buttonImages_normal = new Array();
var buttonImages_pressed = new Array();

document.onmouseup = mouseUpOnDoc;

function mouseDownOnButton( button ) {
	swapButtonImage( button, 'pressed' );
	currentlyTrackedButton = button;
	
		/* prevent the image from being dragged */
	window.event.preventDefault();
	window.event.stopPropagation();
}

function mouseLeftButton( button ) {
	if ( currentlyTrackedButton == button ) {
		swapButtonImage( button, 'normal' );
	}
}

function mouseEnteredButton( button ) {
	if ( currentlyTrackedButton == button ) {
		swapButtonImage( button, 'pressed' );
	}
}

function mouseUpOnButton( button ) {
	if ( currentlyTrackedButton == button ) {
		swapButtonImage( button, 'normal' );
		currentlyTrackedButton = null;
		window.WebView.mouseUpOnButton_( button );
	}
}

function mouseUpOnDoc() {
	if ( currentlyTrackedButton ) {
		swapButtonImage( currentlyTrackedButton, 'normal' );
		currentlyTrackedButton = null;
	}
}

function preloadButtonImages( button, imageBaseURL ) {
		// This function is called from the WebView when it inserts a button into the page.
		// Important: the button must have a unique id attribute for this to work.
	var imageNormal = new Image();
	imageNormal.src = imageBaseURL + "_normal.png";
	
	var imagePressed = new Image();
	imagePressed.src = imageBaseURL + "_pressed.png";
	
	buttonImages_normal[button.id] = imageNormal;
	buttonImages_pressed[button.id] = imagePressed;
}

function swapButtonImage( button, mode ) {
	button.src = eval( "buttonImages_" + mode + "[button.id].src" );
}
